%global desc Version of the glob module that can capture patterns and supports recursive\
wildcards.
%global pkg_name glob2
%global pypi_version 0.6

Name:           python-%{pkg_name}
Version:        0.6.0
Release:        1%{?dist}
Summary:        Glob module recursive wildcards support

License:        BSD
URL:            https://pypi.python.org/pypi/%{pkg_name}
Source0:        https://pypi.python.org/packages/f0/e8/970c7a031b2d7f9a21fefaa8c9d5c38001f8f25055f4ffcb32b3dbecd1ea/glob2-0.6.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python-setuptools python-nose
Requires:       python-setuptools

%description
%{desc}


%package -n     python2-%{pkg_name}
Summary:        %{summary}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-nose
%{?python_provide:%python_provide python2-%{pkg_name}}


%description -n python2-%{pkg_name}
%{desc}


%package -n     python3-%{pkg_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
Requires:       python3-setuptools
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
%{desc}

%prep
%setup -q -n %{pkg_name}-%{pypi_version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
PYTHONPATH=build/lib %{__python3} -m unittest discover
PYTHONPATH=build/lib %{__python2} -m unittest discover


%files -n python2-%{pkg_name}
%license LICENSE
%doc README.rst CHANGES
%{python2_sitelib}/%{pkg_name}-%{pypi_version}-py%{python2_version}.egg-info
%{python2_sitelib}/%{pkg_name}/


%files -n python3-%{pkg_name}
%license LICENSE
%doc README.rst CHANGES
%{python3_sitelib}/%{pkg_name}-%{pypi_version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{pkg_name}/


%changelog
* Sat Aug 19 2017 Julien Enselme <jujens@jujens.eu> - 0.6.0-1
- Update to 0.6.0

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.5.0-2
- Rebuild for Python 3.6

* Tue Nov 08 2016 Julien Enselme <jujens@jujens.eu> - 0.5.0-1
- Update to 0.5.0
- Update spec to new guidelines

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 5 2015 Julien Enselme <jujens@jujens.eu> - 0.4.1-4
- Rebuilt for python 3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 26 2015 Julien Enselme <jujens@jujens.eu> - 0.4.1.2
- Correct the source of the LICENSE

* Mon Jan 05 2015 Julien Enselme <jujens@jujens.eu> - 0.4.1-1
- Initial packaging
